SeExpr

Private Member Functions | List of all members
SeExpr2::ExprFuncLocal Class Reference

`#include <ExprFuncX.h>`

Inheritance diagram for SeExpr2::ExprFuncLocal:

## Private Member Functions
| ExprFuncLocal ()
virtual ExprType | prep (ExprFuncNode *node, bool scalarWanted, ExprVarEnvBuilder &envBuilder) const
virtual int | buildInterpreter (const ExprFuncNode *node, Interpreter *interpreter) const
| Build an interpreter to evaluate the expression. More...

## Additional Inherited Members
Public Member Functions inherited from SeExpr2::ExprFuncX
| ExprFuncX (const bool threadSafe)
virtual ExprType | type () const
virtual | ~ExprFuncX ()
bool | isThreadSafe () const
virtual size_t | sizeInBytes () const
| Return memory usage of a funcX in bytes. More...
virtual void | statistics (Statistics &) const
| Give this function a chance to populate its statistics. More...
Protected Attributes inherited from SeExpr2::ExprFuncX
bool | _isScalar
ExprType | _type

## Detailed Description

Definition at line 119 of file ExprFuncX.h.

## Constructor & Destructor Documentation

## ◆ ExprFuncLocal()

SeExpr2::ExprFuncLocal::ExprFuncLocal | ( |  | ) |
| inline private

Definition at line 120 of file ExprFuncX.h.

## Member Function Documentation

## ◆ buildInterpreter()

virtual int SeExpr2::ExprFuncLocal::buildInterpreter | ( | const ExprFuncNode * | node,
|  | Interpreter * | interpreter
| ) |  | const
| private virtual

Build an interpreter to evaluate the expression.

Implements SeExpr2::ExprFuncX.

## ◆ prep()

virtual ExprType SeExpr2::ExprFuncLocal::prep | ( | ExprFuncNode * | node,
|  | bool | scalarWanted,
|  | ExprVarEnvBuilder & | envBuilder
| ) |  | const
| private virtual

prep the expression by doing all type checking argument checking, etc.

Implements SeExpr2::ExprFuncX.

The documentation for this class was generated from the following file:

- /build/seexpr/src/SeExpr/src/SeExpr2/ExprFuncX.h